Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.modules 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.modules
Class Dependency

    java.lang.Object
      org.openide.modules.Dependency

    public final class Dependency

extends Object

A dependency a module can have.

Since:
  1.24

Field Summary
`static int` | `COMPARE_ANY` No comparison, just require the dependency to be present.
`static int` | `COMPARE_IMPL` Comparison by implementation version.
`static int` | `COMPARE_SPEC` Comparison by specification version.
`static String` | `IDE_IMPL` Deprecated. request dependencies on direct modules
`static String` | `IDE_NAME` Deprecated. request dependencies on direct modules
`static SpecificationVersion` | `IDE_SPEC` Deprecated. request dependencies on direct modules
`static String` | `JAVA_IMPL` Implementation version of the Java platform.
`static String` | `JAVA_NAME` Name, for purposes of dependencies, of the Java platform.
`static SpecificationVersion` | `JAVA_SPEC` Specification version of the Java platform.
`static int` | `TYPE_IDE` Dependency on the IDE.
`static int` | `TYPE_JAVA` Dependency on Java.
`static int` | `TYPE_MODULE` Dependency on another module.
`static int` | `TYPE_PACKAGE` Dependency on a package.
`static int` | `TYPE_REQUIRES` Dependency on a token.
`static String` | `VM_IMPL` Implementation version of the Java VM.
`static String` | `VM_NAME` Name, for purposes of dependencies, of the Java VM.
`static SpecificationVersion` | `VM_SPEC` Specification version of the Java VM.

Method Summary
`static Set` | `create(int type, String body)` Parse dependencies from tags.
`boolean` | `equals(Object o)` Overridden to compare contents.
`int` | `getComparison()` Get the comparison type.
`String` | `getName()` Get the name of the depended-on object.
`int` | `getType()` Get the type.
`String` | `getVersion()` Get the version to compare against (or null).
`int` | `hashCode()` Overridden to hash by contents.
`String` | `toString()` Unspecified string representation for debugging.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_MODULE

    public static final int TYPE_MODULE

  Dependency on another module.

  See Also:
    Constant Field Values

### TYPE_PACKAGE

    public static final int TYPE_PACKAGE

  Dependency on a package.

  See Also:
    Constant Field Values

### TYPE_JAVA

    public static final int TYPE_JAVA

  Dependency on Java.

  See Also:
    Constant Field Values

### TYPE_IDE

    public static final int TYPE_IDE

  Dependency on the IDE.

  See Also:
    Constant Field Values

### TYPE_REQUIRES

    public static final int TYPE_REQUIRES

  Dependency on a token.

  Since:
    2.3
  See Also:
    `ModuleInfo.getProvides()`, Constant Field Values

### COMPARE_SPEC

    public static final int COMPARE_SPEC

  Comparison by specification version.

  See Also:
    Constant Field Values

### COMPARE_IMPL

    public static final int COMPARE_IMPL

  Comparison by implementation version.

  See Also:
    Constant Field Values

### COMPARE_ANY

    public static final int COMPARE_ANY

  No comparison, just require the dependency to be present.

  See Also:
    Constant Field Values

### IDE_NAME

    public static final String IDE_NAME

  Deprecated. request dependencies on direct modules

### IDE_SPEC

    public static final SpecificationVersion IDE_SPEC

  Deprecated. request dependencies on direct modules

### IDE_IMPL

    public static final String IDE_IMPL

  Deprecated. request dependencies on direct modules

### JAVA_NAME

    public static final String JAVA_NAME

  Name, for purposes of dependencies, of the Java platform.

  See Also:
    Constant Field Values

### JAVA_SPEC

    public static final SpecificationVersion JAVA_SPEC

  Specification version of the Java platform.

### JAVA_IMPL

    public static final String JAVA_IMPL

  Implementation version of the Java platform.

### VM_NAME

    public static final String VM_NAME

  Name, for purposes of dependencies, of the Java VM.

  See Also:
    Constant Field Values

### VM_SPEC

    public static final SpecificationVersion VM_SPEC

  Specification version of the Java VM.

### VM_IMPL

    public static final String VM_IMPL

  Implementation version of the Java VM.

Method Detail

### create

    public static Set create(int type,
                             String body)
                      throws IllegalArgumentException

  Parse dependencies from tags.

  Parameters:
    `type` - like Dependency.type
    `body` - actual text of tag body; if `null`, returns nothing
  Returns:
    a set of dependencies
  Throws:
    `IllegalArgumentException` - if they are malformed or inconsistent

### getType

    public final int getType()

  Get the type.

### getName

    public final String getName()

  Get the name of the depended-on object.

### getComparison

    public final int getComparison()

  Get the comparison type.

### getVersion

    public final String getVersion()

  Get the version to compare against (or null).

### equals

    public boolean equals(Object o)

  Overridden to compare contents.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overridden to hash by contents.

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Unspecified string representation for debugging.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.modules 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.